characterp0_(characterp0__dcl).
characterp0__dcl(is_alphanumeric(_81946),p(p(p)),static,no).
characterp0__dcl(is_alpha(_81946),p(p(p)),static,no).
characterp0__dcl(is_letter(_81946),p(p(p)),static,no).
characterp0__dcl(is_bin_digit(_81946),p(p(p)),static,no).
characterp0__dcl(is_octal_digit(_81946),p(p(p)),static,no).
characterp0__dcl(is_dec_digit(_81946),p(p(p)),static,no).
characterp0__dcl(is_hex_digit(_81946),p(p(p)),static,no).
characterp0__dcl(is_lower_case(_81946),p(p(p)),static,no).
characterp0__dcl(is_upper_case(_81946),p(p(p)),static,no).
characterp0__dcl(is_vowel(_81946),p(p(p)),static,no).
characterp0__dcl(is_layout(_81946),p(p(p)),static,no).
characterp0__dcl(lower_upper(_81946,_81947),p(p(p)),static,no).
:-(characterp0__dcl(_81944,_81945,_81946,_81947,characterp),characterp0__dcl(_81944,_81945,_81946,_81947)).
:-(initialization('$lgt_assert_relation_clauses'(['$lgt_current_protocol_'(characterp,characterp0_)]))).
